%define rel 1

Name:          kwallet-pam
Summary:       PAM module for KWallet
Group:         Graphical desktop/KDE
Version: 5.8.6
Release:       %mkrel %{rel}
License:       LGPLv2+
URL:           http://quickgit.kde.org/%{name}
Source0:       %{name}-%{version}.tar.xz


BuildRequires: kf5-macros
BuildRequires: pam-devel
BuildRequires: libgcrypt-devel >= 1.5.0

BuildRequires: pkgconfig(Qt5Core)

Requires:      socat

Obsoletes:     pam-kwallet < 5.5.3
Provides:      pam-kwallet = %version-%release

%description 
PAM module for KWallet

%files
%_sysconfdir/xdg/autostart/pam_kwallet_init.desktop
%{_libexecdir}/pam_kwallet_init
%{_libdir}/security/pam_kwallet5.so
%{_libdir}/security/pam_kwallet.so

#-----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}
%autopatch -p1

%build

mkdir qt4
pushd qt4
%cmake -DKWALLET4=1 ../..
make 
popd

%cmake_kf5
%make

%install
%make_install -C build
pushd qt4
%make_install -C build
popd


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089029
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078164
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070721
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065139
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064482
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063052
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060277
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057603
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053059
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052686
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048351
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044272
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042560
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041397
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039503
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021873
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014541
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009278
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999262
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998017
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994392
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 986973
- Rebuild against kf5 5.20.0

* Fri Mar 04 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 985509
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927972
- New version 5.5.4

* Wed Jan 20 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 925967
- imported package kwallet-pam

